lp:~ubuntu-desktop/gst-plugins-good/ubuntu

Created by Robert Ancell and last modified
Get this branch:
bzr branch lp:~ubuntu-desktop/gst-plugins-good/ubuntu
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
gst-plugins-good
Status:
Development

Recent revisions

8. By Robert Ancell

New upstream release

7. By Robert Ancell

* debian/control:
* debian/build-deps:
  - Rebuild from the .in files

6. By Robert Ancell

* Merge with Debian experimental, remaining Ubuntu changes:
* debian/build-deps:
  - Depends on dh-autoreconf, autopoint
* debian/control:
  - Use standards-version 3.9.1
* debian/gstreamer-plugins-good.install,
  debian/patches/04_move_farsight_plugins_to_good.patch,
  - Install the farsight plugins with good until upstream does the change
* debian/patches/07_pulsesink_allow_larger_packets.patch:
  - allow larger packets to be sent, prevents pulseaudio
    from crashing on low-end machines
* debian/rules:
  - Use autoreconf.mk
  - Set the audiosrc default to pulsesrc
* New upstream stable release, "Some Kind of Temporal Blend":
  + debian/build-deps,
    debian/rules:
    - Require GStreamer, gst-plugins-base >= 0.10.32.
* New upstream pre-release:
  + debian/build-deps,
    debian/rules:
    - Require GStreamer, gst-plugins-base >= 0.10.31.4.
* New upstream pre-release:
  + debian/build-deps,
    debian/rules:
    - Require GStreamer, gst-plugins-base >= 0.10.31.3.
* New upstream pre-release:
  + debian/control.in:
    - Conflict/Replace gstreamer0.10-plugins-bad (<< 0.10.20.2) because
      of the moved JACK plugin.
  + debian/build-deps.in,
    debian/gstreamer-plugins-good.install:
    - Add the JACK plugin which was moved from gst-plugins-bad.
  + debian/build-deps,
    debian/rules:
    - Require GStreamer, gst-plugins-base >= 0.10.31.2.
    - Require GLib >= 2.22.
* debian/build-deps.in,
  debian/rules:
  + Use dpkg-vendor instead of lsb_release.

5. By Robert Ancell

* debian/patches/06_pulsesink_dont_uncork_in_start.patch,
  debian/patches/07_pulsesink_allow_larger_packets.patch:
  - allow larger packets to be sent, prevents pulseaudio
    from crashing on low-end machines (LP: #644644)

4. By Robert Ancell

* debian/build-deps:
  - Build-depends on autopoint

3. By Robert Ancell

Fix version number

2. By Robert Ancell

* Merge with Debian experimental, remaining Ubuntu changes:
* debian/build-deps:
  - Depends on dh-autoreconf
* debian/control:
  - Use standards-version 3.9.1
* debian/gstreamer-plugins-good.install,
  debian/patches/04_move_farsight_plugins_to_good.patch,
  - Install the farsight plugins with good until upstream does the change
* debian/rules:
  - Use autoreconf.mk
  - Set the audiosrc default to pulsesrc
* New upstream release, "Escapades".
* New upstream pre-release.
* New upstream pre-release.
* New upstream pre-release.
* New upstream pre-release:
  + debian/patches/01_alphacolor-passthrough.patch,
    debian/patches/02_qtdemux-eos-handling.patch,
    debian/patches/04_qtdemux-eos-handling.patch:
    - Dropped, merged upstream.
  + debian/rules,
    debian/build-deps.in:
    - Require GStreamer core/plugins-base >= 0.10.30.2.
    - Require ORC >= 0.4.11.
* debian/build-deps.in:
  + Add the epoch to the orc build dependency to get dependencies
    on the correct versions.

1. By Robert Ancell

initial gst-plugins-good import

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers